<?php
/*
   TM Offline Stats v1.2
   Copyright (c) 2006-2010 Alexander Domnin

   This program is licenced under the
   Creative Commons Attribution-Noncommercial-No Derivative Works 3.0 Unported.
   To view a copy of this licence, visit http://creativecommons.org/licenses/by-nc-nd/3.0/

   This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
   without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
*/

require_once "includes/tmos_lp.inc.php";

// parse
$time = getmicrotime();
$LP = new Ttmos_LP();
$status = $LP->GOGOGO("!");
$time = getmicrotime() - $time;

// delcache
@fclose(fopen(DIR_CACHE.'!clear!', 'w'));

// info
header("Content-Type: text/html; charset=UTF-8");
if (count($status) == 0) {
   echo "Registered servers not found!";
}
else {
   $nl = "\n<p>";
   foreach ($status as $sid=>$sinf) {
      if ($sinf['skipped']) {
         echo $nl."(".$sid.")".$sinf['server']." - Skipped";
      }
      else {
         if ($sinf['parsed'])
            echo $nl."(".$sid.")".$sinf['server']." - Processed";
         else {
            echo $nl."(".$sid.")".$sinf['server']." - Errors";
            for ($i = 0; $i < $sinf['trackdirs']['count']; $i++) {
               if (!$sinf['trackdirs'][$i]['status'])
                  echo $nl." => '".$sinf['trackdirs'][$i]['directory']."' - Directory not found!";
            }
            if (isset($sinf['logfiles'])) {
               for ($i = 0; $i < $sinf['logfiles']['count']; $i++) {
                  if (!$sinf['logfiles'][$i]['status'])
                     echo $nl." => '".$sinf['logfiles'][$i]['filename']."' - File not found or not readable!";
               }
            }
            if (isset($sinf['adbcs'])) {
               for ($i = 0; $i < $sinf['adbcs']['count']; $i++) {
                  if (!$sinf['adbcs'][$i]['status'])
                     echo $nl." => '".$sinf['adbcs'][$i]['dblogin']."/***@".
                                      $sinf['adbcs'][$i]['dbhost'].":".
                                      $sinf['adbcs'][$i]['dbname']."' - Can't connect!";
               }
            }
            if (isset($sinf['replaydirs'])) {
               for ($i = 0; $i < $sinf['replaydirs']['count']; $i++) {
                  if (!$sinf['replaydirs'][$i]['status'])
                     echo $nl." => '".$sinf['replaydirs'][$i]['directory']."' - Directory not found!";
               }
            }
         }
      }
   }
   printf($nl."Processed in %f s", $time);
}

?>